NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.CAE.PostGraphOrbitBuilder Class Reference

Represents a NXOpen.CAE.PostGraphOrbitBuilder More...

Inheritance diagram for NXOpen.CAE.PostGraphOrbitBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void SetEntityIds (int[] entityIds)
 Set entity ids for extracting result data More...
 
unsafe void SetFreePoints (NXOpen.Point3d[] freePoints)
 Set free points for extracting data More...
 
unsafe void SetSelectionEntityObjects (NXOpen.CAE.PostSelectionEntity[] selectionEntities)
 Sets the selection entity object. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe string GraphTitle [get, set]
 Returns or sets the graph title More...
 
unsafe NXOpen.CAE.Result.Component XresultComponent [get, set]
 Returns or sets the component used as x axis for orbit plot More...
 
unsafe NXOpen.CAE.Result.Component YresultComponent [get, set]
 Returns or sets the component used as y axis for orbit plot More...
 

Detailed Description

Represents a NXOpen.CAE.PostGraphOrbitBuilder

This is an abstract class and cannot be instantiated

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.CAE.PostGraphOrbitBuilder.SetEntityIds ( int[]  entityIds)

Set entity ids for extracting result data

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
entityIds
unsafe void NXOpen.CAE.PostGraphOrbitBuilder.SetFreePoints ( NXOpen.Point3d[]  freePoints)

Set free points for extracting data

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
freePoints
unsafe void NXOpen.CAE.PostGraphOrbitBuilder.SetSelectionEntityObjects ( NXOpen.CAE.PostSelectionEntity[]  selectionEntities)

Sets the selection entity object.

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
selectionEntitiesNXOpen.CAE.PostSelectionEntity object

Property Documentation

unsafe string NXOpen.CAE.PostGraphOrbitBuilder.GraphTitle
getset

Returns or sets the graph title

Created in NX9.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.CAE.Result.Component NXOpen.CAE.PostGraphOrbitBuilder.XresultComponent
getset

Returns or sets the component used as x axis for orbit plot

Created in NX9.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.CAE.Result.Component NXOpen.CAE.PostGraphOrbitBuilder.YresultComponent
getset

Returns or sets the component used as y axis for orbit plot

Created in NX9.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.